Home | About | Sematext search-lucene.com search-hadoop.com
 Search Hadoop and all its subprojects:

Switch to Plain View
Kafka >> mail # dev >> [jira] [Commented] (KAFKA-139) cross-compile multiple Scala versions and upgrade to SBT 0.12.1


+
Jun Rao 2013-01-21, 20:34
+
Jun Rao 2013-01-23, 17:03
Copy link to this message
-
[jira] [Commented] (KAFKA-139) cross-compile multiple Scala versions and upgrade to SBT 0.12.1

    [ https://issues.apache.org/jira/browse/KAFKA-139?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13561047#comment-13561047 ]

Joe Stein commented on KAFKA-139:
---------------------------------

ok so first let me review KAFKA-728 and commit it because that was caused by this also.

I will open a sub ticket to make ~/ivy2/cache a variable in the bash script and upload a patch after that commit

let me look into what is causing the KAFKA-133 to break and create a sub ticket, I will take a look to see what might be causing it and upload a patch or hola for assistance

let me look into what is causing the KAFKA-676 to break and create a sub ticket, I will take a look to see what might be causing it and upload a patch or hola for assistance

let me reproduce the SLF4J error because I could have sworn I ran into that and resolved it but maybe that error is different than the one I already fixed (likely) and sub ticket for that with a patch there too it should be trivial

i am on it
                
> cross-compile multiple Scala versions and upgrade to SBT 0.12.1
> ---------------------------------------------------------------
>
>                 Key: KAFKA-139
>                 URL: https://issues.apache.org/jira/browse/KAFKA-139
>             Project: Kafka
>          Issue Type: Improvement
>          Components: packaging
>    Affects Versions: 0.8
>            Reporter: Chris Burroughs
>              Labels: build
>             Fix For: 0.8
>
>         Attachments: kafka-sbt0-11-3-0.8.patch, kafka-sbt0-11-3-0.8-v2.patch, kafka-sbt0-11-3-0.8-v3.patch, kafka-sbt0-11-3-0.8-v4.patch, kafka-sbt0-11-3-0.8-v5-smeder.patch, kafka-sbt0-11-3-0.8-v6-smeder.patch, kafka-sbt0-11-3.patch
>
>
> Since scala does not maintain binary compatibly between versions, organizations tend to have to move all of there code at the same time.  It would thus be very helpful if we could cross build multiple scala versions.
> http://code.google.com/p/simple-build-tool/wiki/CrossBuild
> Unclear if this would require KAFKA-134 or just work.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira